import { Injectable } from '@nestjs/common';
import { Mapper } from '@mobicoop/ddd-library';
import { MatchingEntity } from './core/domain/matching.entity';

@Injectable()
export class MatchingMapper
  implements Mapper<MatchingEntity, string, string, undefined>
{
  toPersistence = (entity: MatchingEntity): string => JSON.stringify(entity);

  toDomain = (record: string): MatchingEntity =>
    new MatchingEntity(JSON.parse(record));
}
